# ProventraCore Documentation

ProventraCore is a Python library for detecting and preventing prompt injection attacks in LLM applications.

## Overview

This library provides tools to:
- Detect potentially unsafe content using transformer models
- Sanitize unsafe content using large language models
- Combine analysis and sanitization in a unified service

## Getting Started

To get started with ProventraCore, see the [Getting Started Guide](./getting-started.md).

## Documentation Sections

- [Our Approach](./approach.md): Learn about our approach to AI security and prompt injection protection
- [Core Components](./components.md): Learn about the main components of the library
- [Advanced Usage](./advanced-usage.md): Explore advanced usage
- [Deployment](./deployment.md): Learn how to deploy the library in different environments